Subject: RE: file
From: [email-masked] (Todd Goodman)

1 Nov 1998 06:29:21 -0800
Message-ID: <000f01be0545$301c5cc0$98612499.cygnus.gnu-win32@tgoodman8>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Corinna Vinschen" <[email-masked]>, <[email-masked]>

Thanks very much for the information.  However, I'm still unable to find the
proper package either at
http://www.gnu.org or ftp://prep.ai.mit.edu.

Do you have the proper package name?

I appreciate the patch and will use it as soon as I find the package with
fsmagic.c in it.  :-)

Thanks again,

Todd

> -----Original Message-----
> From: Corinna Vinschen [mailto:[email-masked]]
> Sent: Saturday, October 31, 1998 8:03 PM
> To: Todd Goodman; [email-masked]
> Subject: Re: file
>
>
> Hi Todd,
>
> > I'm sure I'm overlooking something obvious, but is the 'file' command
> > or equivalent available anywhere?
>
> Look at the GNU Homepage. There you will find the original
> sources. Only one patch is needed, because
> #include <sys/sysmacros.h> isn't available in cygwin.
>
> Regards,
> Corinna
>
> ------- snip -------
> --- fsmagic.c.orig      Sun Nov 01 00:50:08 1998
> +++ fsmagic.c   Sun Nov 01 00:53:20 1998
> @@ -38,7 +38,13 @@
>  # endif
>  #endif
>  #ifndef        major         /* if `major' not defined in types.h, */
> +#ifdef __CYGWIN32__
> +#define major(dev) (((unsigned) (dev))>>8)
> +#define minor(dev) ((dev)&0xff)
> +#define makedev(major,minor) (((major)<<8)|(minor))
> +#else
>  #include <sys/sysmacros.h>     /* try this one. */
> +#endif
>  #endif
>  #ifndef        major   /* still not defined? give up, manual
> intervention needed */
>                 /* If cc tries to compile this, read and act on it. */
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".